org.bouncycastle.jce.provider

## Class AnnotatedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.bouncycastle.jce.provider.AnnotatedException

All Implemented Interfaces:
  java.io.Serializable, ExtException

    public class AnnotatedException
    extends java.lang.Exception
    implements ExtException

See Also:
  Serialized Form

### Method Summary

Methods
`java.lang.Throwable` `getCause()` Returns the cause of the exception.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Description copied from interface: `ExtException`
Returns the cause of the exception.

Specified by:
  `getCause` in interface `ExtException`
Overrides:
  `getCause` in class `java.lang.Throwable`
Returns:
  The cause of the exception.